package com.bzd.system.service.gjgzt;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 健康报告列表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SGjgztHealthplaninfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSGjgztHealthplaninfo(PageData pd)throws Exception {
        return daoSupport.update("SGjgztHealthplaninfoMapper.addSGjgztHealthplaninfo", pd);
    }

    public List<PageData> findSGjgztHealthplaninfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SGjgztHealthplaninfoMapper.selectSGjgztHealthplaninfoList", pd);
    }

    public Integer SGjgztHealthplaninfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SGjgztHealthplaninfoMapper.SGjgztHealthplaninfoRemove", pd);
    }


    public Integer updateSGjgztHealthplaninfo(PageData pd)throws Exception {
        return daoSupport.update("SGjgztHealthplaninfoMapper.updateSGjgztHealthplaninfo", pd);
    }

}
